Author Topic: Gramps missing dependencies (SOLVED)  (Read 680 times)

0 Members and 1 Guest are viewing this topic.

Offline Emegra

  • Hero Member
  • *****
  • Posts: 2396
  • Karma: 53
  • Gender: Male
  • Devilishly Handsome
    • View Profile
    • Awards
Gramps missing dependencies (SOLVED)
« on: April 20, 2014, 04:52:56 pm »
HI guys

I recently installed Lubuntu to give it a whirl, and I installed gramps from synaptic, but when I try to open gramps I get 2 error messages one after the other as per screenshots

If I close each error message in turn Gramps will continue to load presumably minus some functionality

I have Gramps installed in Peppermint 4 and I don't have this problem, has anyone any idea why this i'm having it now ?


Many thanks



Graeme
« Last Edit: April 21, 2014, 06:27:30 am by Emegra »
If you can keep your head while all around are losing theirs, then you're not quite grasping the situation

Offline Mark Greaves (PCNetSpec)

  • Administrator
  • Hero Member
  • *****
  • Posts: 13223
  • Karma: 323
  • Gender: Male
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
    • Awards
Re: Gramps missing dependencies
« Reply #1 on: April 20, 2014, 08:47:34 pm »
Which version of gramps is in 14.04 ?

Do you use image metadata, and/or OsmGpsMap for Geography ?
WARNING: You are logged into reality as 'root'

logging in as 'insane' is the only safe option.

Offline Emegra

  • Hero Member
  • *****
  • Posts: 2396
  • Karma: 53
  • Gender: Male
  • Devilishly Handsome
    • View Profile
    • Awards
Re: Gramps missing dependencies
« Reply #2 on: April 20, 2014, 08:56:36 pm »
Quote
Which version of gramps is in 14.04 ?

4.0.3+dfsg ( I have no idea what +dfsg means

Quote
Do you use image metadata, and/or OsmGpsMap for Geography ?

If I knew exactly what that meant I could answer that I use images but I dont really care about the metadata I'm not sure what OsmGspMap means but I honestly don't think it matters to me

So long as not having these things doesn'y screw up what I already have I don't really care, it's just that I've never seen those error messages before



Many thanks



Graeme
If you can keep your head while all around are losing theirs, then you're not quite grasping the situation

Offline Mark Greaves (PCNetSpec)

  • Administrator
  • Hero Member
  • *****
  • Posts: 13223
  • Karma: 323
  • Gender: Male
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
    • Awards
Re: Gramps missing dependencies
« Reply #3 on: April 21, 2014, 12:53:52 am »
Seems there's a LOT of stuff missing for Gramps 4.0.3 in Ubuntu / Lubuntu 14.04 (Trusty Tahr)...

I don't think any of it is critical, but it does reduce functionality by disabling some included Gramps plugins.

If you see these error dialogs / messages
OsmGpsMap module not loaded
and
GExiv2 module not loaded
here's the fix

Fix tested in Lubuntu 14.04 (32bit) .. but should apply to all buntu's
(should also apply to Peppermint 5 when released)



OK, first you'll need to enable the "Proposed" repo, so go to:-

menu > Preferences > Software & Updates > Updates (tab)

Make sure there's a tick in "Pre-release updates (trusty proposed)" .. and click "Close" .. if it ask to let it update, say yes.

When that's closed, open a terminal and run:
Code: [Select]
sudo apt-get update
then:
Code: [Select]
sudo apt-get install gir1.2-gexiv2-0.10 gir1.2-gtkspell3-3.0 python-pil rcs graphviz-doc libosmgpsmap-dev python3-bsddb3 python-pygoocanvas gir1.2-goocanvas-2.0-9 python-pyexiv2 python-osmgpsmap gir1.2-osmgpsmap-1.0 libosmgpsmap-1.0-0
Now try Gramps

Please let me know if this fixes the issue for you too, so I can document it for Peppermint 5 ;)



FYI...

Here's what OsmGpsMap gives you in Gramps .. see here:
https://www.gramps-project.org/wiki/index.php?title=Gramps_4.0_Wiki_Manual_-_Categories#Geography_Category

GExiv2 - gexiv2 is a GObject wrapper around the Exiv2 photo metadata library. It allows for GNOME applications to easily inspect and update EXIF, IPTC, and XMP metadata in photo files of various formats

--
« Last Edit: April 21, 2014, 02:35:45 am by Mark Greaves (PCNetSpec) »
WARNING: You are logged into reality as 'root'

logging in as 'insane' is the only safe option.

Offline Emegra

  • Hero Member
  • *****
  • Posts: 2396
  • Karma: 53
  • Gender: Male
  • Devilishly Handsome
    • View Profile
    • Awards
Re: Gramps missing dependencies (SOLVED)
« Reply #4 on: April 21, 2014, 06:26:40 am »
Yeah that fixed everything perfectly


Many thanks



Graeme
If you can keep your head while all around are losing theirs, then you're not quite grasping the situation

Offline Mark Greaves (PCNetSpec)

  • Administrator
  • Hero Member
  • *****
  • Posts: 13223
  • Karma: 323
  • Gender: Male
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
    • Awards
Re: Gramps missing dependencies (SOLVED)
« Reply #5 on: April 21, 2014, 12:04:57 pm »
No problem .. it's handy figuring out things that may apply to Peppermint 5 ahead of time :)
WARNING: You are logged into reality as 'root'

logging in as 'insane' is the only safe option.

 


SimplePortal 2.3.3 © 2008-2010, SimplePortal